## Name

xplsprinters — shows a list of Xprint printers and it's attributes

## Synopsis

`xplsprinters` [`-printer `printername``] [`-d`] [`-l`] [`-dump`] [`-h`]

## DESCRIPTION

xplsprinters is a utility for Xprint, the printing system for the X Window system. It can deliver both a list of printers and attributes supported for a specific list of printers.

## OPTIONS

`-printer `printername``

  printer to use

`-dump`

  dump all available printer attributes

`-h | -?`

  print usage

`-d`

  print description for each printer

`-l`

  list detailed printer attribute information

## ENVIRONMENT

`XPSERVERLIST`

  `${XPSERVERLIST}` must be set, identifying the available Xprint servers. See Xprint(7) for more details.

## EXAMPLES

Example 1. List all available "X Print Specifiers" (printer names)

    % xplsprinters

would print:

    printer: hplaserjet001@puck:33
    printer: hpcolor4550_004@puck:33
    printer: laser19@meridian:19
    printer: xp_ps_spooldir_tmp_Xprintjobs@meridian:19
    printer: xp_pdf_spooldir_tmp_Xprintjobs@meridian:19

Example 2. Get information about the supported attributes of printer "ps002":

    % xplsprinters -printer ps002 -l

would print:

    printer: ps002@castor:18
            description=
            model-identifier=HPDJ1600C
            default-medium=iso-a4
            default-input-tray=
            medium-source-sizes-supported=iso-a4 false 6.35 203.65 6.35 290.65
            medium-source-sizes-supported=na-letter false 6.35 209.55 6.35 273.05
            default-printer-resolution=300
            resolution=300
            default_orientation=
            orientation=portrait
            orientation=landscape
            default_plex=
            plex=simplex

## NOTES

The list of builtin fonts supported by a printer can be obtained using the xlsfonts command.

## SEE ALSO

Xprint(7), X11(7), xprehashprinterlist(1x), xphelloworld(1x), xpxmhelloworld(1x), xpawhelloworld(1x), xpxthelloworld(1x), xpsimplehelloworld(1x), xlsfonts(1x), Xserver(1x), Xprt(1x), libXp(3x), libXprintUtils(3x), libXprintAppUtils(3x), XmPrintShell(3x), XawPrintShell(3x), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)